﻿using DevExpress.XtraSplashScreen;
using System;
using System.IO;
using System.Threading;
using System.Windows;
using System.Windows.Forms;
using MessageBox = System.Windows.Forms.MessageBox;

namespace NewArchivesCenter
{
    public partial class login : DevExpress.XtraEditors.XtraForm
    {
        public login()
        {
            InitializeComponent();
            Properties.Settings.Default.Islogin = false;
            Properties.Settings.Default.Save();
            textEdit1.ImeMode = ImeMode.Disable;
            textEdit2.ImeMode = ImeMode.Disable;
        }

        private void simpleButton2_Click(object sender, EventArgs e)
        {
            textEdit1.Text = Environment.UserDomainName + @"\" + Environment.UserName;
            textEdit2.Text = null;
            textEdit2.Focus();
        }

        private void login_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (Properties.Settings.Default.Islogin == false)
            {
                if(Directory.Exists(Path.GetTempPath() + @"ArchivesCenter"))
                    Directory.Delete(Path.GetTempPath() + @"ArchivesCenter", true);
                Environment.Exit(0);
            }
        }

        private void simpleButton1_Click(object sender, EventArgs e)
        {
            splashScreenManager1.ShowWaitForm();
            if (textEdit1.Text.Length > 0)
            {
                if (textEdit1.Text.Length > 0)
                {
                    string UserDataCachePath = Path.GetTempPath() + @"ArchivesCenter\UsersData\";
                    string Password = "fbHQb7L9ODdO9pyPB4cDaMtiW7AgYKJLmQb7FewTiJZhyQwzCJucVf4scvQt7R6b";
                    string UserDataPath = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\ArchivesCenter\Users.encrypted";
                    SevenZipHelper.ExtractEncryptedArchive(UserDataPath, UserDataCachePath, Password);
                    using (StreamReader reader = new StreamReader(UserDataCachePath + textEdit1.Text + @"\password.txt"))
                    {
                        string txtpwd = reader.ReadLine();
                        if (txtpwd == textEdit2.Text)
                        {
                            Properties.Settings.Default.current_user = textEdit1.Text;
                            Properties.Settings.Default.Islogin = true;
                            Properties.Settings.Default.Save();
                            Directory.CreateDirectory(Path.GetTempPath() + @"ArchivesCenter\Data\" + Properties.Settings.Default.current_user + @"\");
                            if (!Directory.Exists(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\ArchivesCenter\Backups\" + Properties.Settings.Default.current_user + @"\"))
                                Directory.CreateDirectory(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\ArchivesCenter\Backups\" + Properties.Settings.Default.current_user + @"\");
                            MainWindow MainWindow = new MainWindow();
                            MainWindow.Show();
                            this.Close();
                        }
                        else
                        {
                            MessageBox.Show("用户不存在或密码错误！", "Archives Center 登录 错误", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            Thread.Sleep(1000);
                        }
                    }
                    Directory.Delete(Path.GetTempPath() + @"ArchivesCenter\UsersData\", true);
                }
                else
                {
                    MessageBox.Show("请检查您填入的字段是否完整", "登录 错误", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
            else
            {
                MessageBox.Show("请检查您填入的字段是否完整", "登录 错误", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            splashScreenManager1.CloseWaitForm();
        }

        private void simpleButton3_Click(object sender, EventArgs e)
        {
            this.Hide();
            register register = new register();
            register.Show();
        }
    }
}